Flutter在iOS端运行项目报错unable to access 'https://chromium.googlesource.com/webm/libwebp/'

最近flutter项目同事引进了一个第三方库flutter_image_compress

image.png

结果导致一个问题:


image.png

那就是在iOS端跑的时候报错Error installing libwebp

看上图是在安装libwebp1.1.0这个版本出了问题, 我们需要改一个东西.

查了一下网上的资料, 解决办法如下:
先命令行输入pod repo

image.png

然后先找到master路径下的/Specs/1/9/2/libwebp的对应版本, 比如我这里是1.1.0出问题, 那么你就找到1.1.0libwebp.podspec.json文件, 打开,

image.png

替换成上图的地址就可以了:
git:后面的地址, 由https://chromium.googlesource.com/webm/libwebp换成https://github.com/webmproject/libwebp.git就可以了

如果还是不行, 就修改trunk路径下的/Specs/1/9/2/libwebp的对应版本进行修改. 步骤同上

推荐阅读更多精彩内容